{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.shell.niri;
in {
  options.marleyos.shell.niri.enable = lib.mkEnableOption "niri";

  config = lib.mkIf cfg.enable {
    programs.niri = {
      enable = true;
    };
  };
}
